# Method Standards.PKCS.Signature.sign()

Method sign

  ``Signed` sign(`Sequence` `tbs`, `Crypto.Sign` `sign`, `Crypto.Hash` `hash`)`

Description

  Generic PKCS signing.

Parameter `tbs`

  Standards.ASN1 structure to be signed.

Parameter `sign`

  Signature to use. Must have a private key set.

Parameter `hash`

  Hash algorithm to use for the signature. Must be valid for the signature algorithm.

Returns

  Returns a Standards.ASN1.Types.Sequence with the signature.